=== debian/changelog ===
lowdown (1.1.0-2) unstable; urgency=medium

  * Use cross tools as set from buildtools.mk, to fix a FTCBFS. Thanks to
    Helmut Grohne for the report and patch. (Closes: #1066908)
  * Drop alternative dependency pkg-config, as it was already a transitional
    package in bookworm.
  * Remove liblowdown.map version script, as it is now unnecessary: upstream
    started using -fvisibility=hidden and #pragmas to limit symbol visibility.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 16 Mar 2024 14:33:12 +0200

lowdown (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop previously backported upstream patches related to the roff
      constant-width problem.
    - Drop patch "revet-soname", upstream has now reverted LIBVER to 1.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 08 Nov 2023 08:33:19 +0200
