## lowdown 1.1.1

=== debian/changelog ===
lowdown (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 25 Sep 2024 17:28:22 +0300
