## lowdown 1.1.2

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,15 @@
 .SUFFIXES: .xml .md .html .pdf .1 .1.html .3 .3.html .5 .5.html .thumb.jpg .png .in.pc .pc .valgrind .old.md .diff-valgrind
 
 include Makefile.configure
+WWWDIR		 = /var/www/vhosts/kristaps.bsd.lv/htdocs/lowdown
+sinclude Makefile.local
 
 # Follows semver.
 # This is complex because lowdown is both a program and a library; and
 # while libraries have well-defined semantics of semver change, programs
 # do not.  Let the library guide our versioning until a better way is
 # thought out.
-VERSION		 = 1.1.0
+VERSION		 = 1.1.2
 # This is the major number of VERSION.  It might later become
 # MAJOR.MINOR, if the library moves a lot.
 LIBVER		 = 1
@@ -30,7 +32,6 @@
 		   tree.o \
 		   util.o
 COMPAT_OBJS	 = compats.o
-WWWDIR		 = /var/www/vhosts/kristaps.bsd.lv/htdocs/lowdown
 HTMLS		 = archive.html \
 		   atom.xml \
 		   diff.html \
@@ -140,18 +141,22 @@
 bins: lowdown lowdown-diff
 
 valgrind: $(VALGRINDS) $(VALGRINDDIFFS)
-	@for f in $(VALGRINDS) ; do \
+	@exit=0 ; \
+	for f in $(VALGRINDS) ; do \
 		if [ -s $$f ]; then \
 			echo `dirname $$f`/`basename $$f .valgrind`.md ; \
 			cat $$f ; \
+			exit=1 ; \
 		fi ; \
-	done
-	@for f in $(VALGRINDDIFFS) ; do \
+	done ; \
+	for f in $(VALGRINDDIFFS) ; do \
 		if [ -s $$f ]; then \
 			echo `dirname $$f`/`basename $$f .diff-valgrind`.old.md ; \
 			cat $$f ; \
+			exit=1 ; \
 		fi ; \
-	done
+	done ; \
+	exit $$exit
 
 $(VALGRINDS) $(VALGRINDDIFFS): bins
 
@@ -322,6 +327,14 @@
 	  ./lowdown $< ; \
 	  echo "</article>" ; ) >$@
 
+index.xml: index.md coverage.md coverage-table.md lowdown
+	( echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>" ; \
+	  echo "<article data-sblg-article=\"1\">" ; \
+	  ./lowdown index.md ; \
+	  ./lowdown coverage.md ; \
+	  ./lowdown coverage-table.md ; \
+	  echo "</article>" ; ) >$@
+
 .1.1.html .3.3.html .5.5.html:
 	mandoc -Thtml -Ostyle=https://bsd.lv/css/mandoc.css $< >$@
 
@@ -332,6 +345,7 @@
 	mkdir -p .dist/lowdown-$(VERSION)/
 	mkdir -p .dist/lowdown-$(VERSION)/man
 	mkdir -p .dist/lowdown-$(VERSION)/share/odt
+	mkdir -p .dist/lowdown-$(VERSION)/regress/html
 	mkdir -p .dist/lowdown-$(VERSION)/regress/original
 	mkdir -p .dist/lowdown-$(VERSION)/regress/standalone
 	mkdir -p .dist/lowdown-$(VERSION)/regress/metadata
@@ -343,16 +357,3 @@
 	$(INSTALL) -m 0644 man/*.1 man/*.3 man/*.5 .dist/lowdown-$(VERSION)/man
 	$(INSTALL) -m 0755 configure .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 644 regress/original/* .dist/lowdown-$(VERSION)/regress/original
-	$(INSTALL) -m 644 regress/*.* .dist/lowdown-$(VERSION)/regress
-	$(INSTALL) -m 644 regress/standalone/* .dist/lowdown-$(VERSION)/regress/standalone
-	$(INSTALL) -m 644 regress/metadata/* .dist/lowdown-$(VERSION)/regress/metadata
-	$(INSTALL) -m 644 regress/diff/* .dist/lowdown-$(VERSION)/regress/diff
-	( cd .dist/ && tar zcf ../$@ lowdown-$(VERSION) )
-	rm -rf .dist/
-
-$(OBJS) $(COMPAT_OBJS) main.o: config.h
-
-$(OBJS): extern.h lowdown.h
-
-term.o: term.h
-
