=== debian/changelog ===
lowdown (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Oct 2024 20:46:13 +0300
