## lowdown 1.2.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # while libraries have well-defined semantics of semver change, programs
 # do not.  Let the library guide our versioning until a better way is
 # thought out.
-VERSION		 = 1.1.2
+VERSION		 = 1.2.0
 # This is the major number of VERSION.  It might later become
 # MAJOR.MINOR, if the library moves a lot.
 LIBVER		 = 1
@@ -330,9 +330,7 @@
 index.xml: index.md coverage.md coverage-table.md lowdown
 	( echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>" ; \
 	  echo "<article data-sblg-article=\"1\">" ; \
-	  ./lowdown index.md ; \
-	  ./lowdown coverage.md ; \
-	  ./lowdown coverage-table.md ; \
+	  cat index.md coverage.md coverage-table.md | ./lowdown ; \
 	  echo "</article>" ; ) >$@
 
 .1.1.html .3.3.html .5.5.html:
@@ -357,3 +355,4 @@
 	$(INSTALL) -m 0644 man/*.1 man/*.3 man/*.5 .dist/lowdown-$(VERSION)/man
 	$(INSTALL) -m 0755 configure .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 644 regress/original/* .dist/lowdown-$(VERSION)/regress/original
+	$(INSTALL) -m 644 regress/*.* .dist/lowdown-$(VERSION)/regress
