=== debian/changelog ===
lowdown (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 Oct 2024 01:40:19 +0300
