=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libbsd-dev,
  libmd-dev,
  pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
 Vcs-Browser: https://salsa.debian.org/debian/lowdown
