=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Use libbsd for a system copy of the BSD functions, instead of upstream's
# embedded compats.c coming from the oconfigure project.
# Also see https://github.com/kristapsdz/oconfigure/issues/19
CFLAGS += $(shell $(PKG_CONFIG) --cflags libmd libbsd-overlay)
LDFLAGS += $(shell $(PKG_CONFIG) --libs libmd libbsd-overlay)

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	AR="$(AR)" \
	CC="$(CC)" \
	CFLAGS="${CFLAGS}" \
	./configure \
		PREFIX=/usr \
		MANDIR="/usr/share/man" \
		LIBDIR=/usr/lib/${DEB_HOST_MULTIARCH} \
		CPPFLAGS="${CPPFLAGS}" \
		LDFLAGS="${LDFLAGS}"

override_dh_auto_install:
	# make install only installs the main binary, not the library
	make install DESTDIR=debian/tmp
	make install_static DESTDIR=debian/tmp
	make install_shared DESTDIR=debian/tmp

override_dh_auto_test:
	make regress

override_dh_auto_clean:
	echo > Makefile.configure
	dh_auto_clean
