## lowdown 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-.PHONY: regress regen_regress
-.SUFFIXES: .xml .md .html .pdf .1 .1.html .3 .3.html .5 .5.html .thumb.jpg .png .in.pc .pc .valgrind .old.md .diff-valgrind
+.PHONY: regress regen_regress valgrind
+.SUFFIXES: .xml .md .html .pdf .1 .1.html .3 .3.html .5 .5.html .thumb.jpg .png .in.pc .pc .old.md
 
 include Makefile.configure
 WWWDIR		 = /var/www/vhosts/kristaps.bsd.lv/htdocs/lowdown
@@ -10,24 +10,28 @@
 # while libraries have well-defined semantics of semver change, programs
 # do not.  Let the library guide our versioning until a better way is
 # thought out.
-VERSION		 = 1.2.0
+VERSION		 = 2.0.2
 # This is the major number of VERSION.  It might later become
 # MAJOR.MINOR, if the library moves a lot.
-LIBVER		 = 1
+LIBVER		 = 2
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
 		   document.o \
 		   entity.o \
 		   gemini.o \
+		   gemini_escape.o \
 		   html.o \
 		   html_escape.o \
 		   latex.o \
+		   latex_escape.o \
 		   library.o \
 		   libdiff.o \
 		   nroff.o \
+		   nroff_escape.o \
 		   odt.o \
 		   smartypants.o \
+		   template.o \
 		   term.o \
 		   tree.o \
 		   util.o
@@ -82,15 +86,19 @@
 		   document.c \
 		   entity.c \
 		   gemini.c \
+		   gemini_escape.c \
 		   html.c \
 		   html_escape.c \
 		   latex.c \
+		   latex_escape.c \
 		   libdiff.c \
 		   library.c \
 		   main.c \
 		   nroff.c \
+		   nroff_escape.c \
 		   odt.c \
 		   smartypants.c \
+		   template.c \
 		   term.c \
 		   tests.c \
 		   tree.c \
@@ -113,8 +121,20 @@
 THUMBS		 = screen-mandoc.thumb.jpg \
 		   screen-groff.thumb.jpg \
 		   screen-term.thumb.jpg
-VALGRINDS	!= for f in `find regress -name \*.md` ; do echo `dirname $$f`/`basename $$f .md`.valgrind ; done
-VALGRINDDIFFS	!= for f in `find regress/diff -name \*.old.md` ; do echo `dirname $$f`/`basename $$f .old.md`.diff-valgrind ; done
+CFLAGS		+= -DVERSION=\"$(VERSION)\"
+# Hack around broken Mac OS X nested sandboxes.
+# If SANDBOX_INIT_ERROR_IGNORE is set to "always", errors from
+# sandbox_init() are ignored.  If set to anything else, the user must
+# also set SANDBOX_INIT_ERROR_IGNORE in their environment to ignore
+# failure.
+# Has no effect unless HAVE_SANDBOX_INIT is defined.
+.ifdef SANDBOX_INIT_ERROR_IGNORE
+.if $(SANDBOX_INIT_ERROR_IGNORE) == "always"
+CFLAGS		+= -DSANDBOX_INIT_ERROR_IGNORE=2
+.else
+CFLAGS		+= -DSANDBOX_INIT_ERROR_IGNORE=1
+.endif
+.endif
 # Because the objects will be compiled into a shared library:
 CFLAGS		+= -fPIC
 # To avoid exporting internal functions (lowdown.h has default visibility).
@@ -135,49 +155,10 @@
 REGRESS_ARGS	+= "--parse-no-cmark"
 REGRESS_ARGS	+= "--parse-no-deflists"
 
-VALGRIND_ARGS	 = -q --leak-check=full --leak-resolution=high --show-reachable=yes
+REGRESS_ENV	 = LC_ALL=en_US.UTF-8
 
 all: bins lowdown.pc liblowdown.so
 bins: lowdown lowdown-diff
-
-valgrind: $(VALGRINDS) $(VALGRINDDIFFS)
-	@exit=0 ; \
-	for f in $(VALGRINDS) ; do \
-		if [ -s $$f ]; then \
-			echo `dirname $$f`/`basename $$f .valgrind`.md ; \
-			cat $$f ; \
-			exit=1 ; \
-		fi ; \
-	done ; \
-	for f in $(VALGRINDDIFFS) ; do \
-		if [ -s $$f ]; then \
-			echo `dirname $$f`/`basename $$f .diff-valgrind`.old.md ; \
-			cat $$f ; \
-			exit=1 ; \
-		fi ; \
-	done ; \
-	exit $$exit
-
-$(VALGRINDS) $(VALGRINDDIFFS): bins
-
-.old.md.diff-valgrind:
-	@rm -f $@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -tfodt $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -thtml $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -tms $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -tman $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -tterm $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown-diff -s -tgemini $< `dirname $<`/`basename $< .old.md`.new.md >/dev/null 2>>$@
-
-.md.valgrind:
-	@rm -f $@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tfodt $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -thtml $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tms $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tman $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tterm $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tgemini $< >/dev/null 2>>$@
-	valgrind $(VALGRIND_ARGS) ./lowdown -s -tlatex $< >/dev/null 2>>$@
 
 www: all $(HTMLS) $(PDFS) $(THUMBS) lowdown.tar.gz lowdown.tar.gz.sha512
 
@@ -215,8 +196,16 @@
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(MANDIR)/man5
+	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/html
+	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/latex
+	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/man
+	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/ms
 	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/odt
-	$(INSTALL_DATA) share/odt/styles.xml $(DESTDIR)$(SHAREDIR)/lowdown/odt
+	$(INSTALL_DATA) share/html/* $(DESTDIR)$(SHAREDIR)/lowdown/html
+	$(INSTALL_DATA) share/latex/* $(DESTDIR)$(SHAREDIR)/lowdown/latex
+	$(INSTALL_DATA) share/man/* $(DESTDIR)$(SHAREDIR)/lowdown/man
+	$(INSTALL_DATA) share/ms/* $(DESTDIR)$(SHAREDIR)/lowdown/ms
+	$(INSTALL_DATA) share/odt/* $(DESTDIR)$(SHAREDIR)/lowdown/odt
 	$(INSTALL_PROGRAM) lowdown $(DESTDIR)$(BINDIR)
 	$(INSTALL_PROGRAM) lowdown-diff $(DESTDIR)$(BINDIR)
 	for f in $(MAN1S) $(MAN5S) ; do \
@@ -284,7 +273,7 @@
 index.html README.html: template.xml
 
 .md.pdf:
-	./lowdown --nroff-no-numbered -s -tms $< | \
+	./lowdown --roff-no-numbered -s -tms $< | \
 		pdfroff -i -mspdf -t -k > $@
 
 index.latex.pdf: index.md $(THUMBS)
@@ -293,11 +282,11 @@
 	pdflatex index.latex.latex
 
 index.mandoc.pdf: index.md
-	./lowdown --nroff-no-numbered -s -tman index.md | \
+	./lowdown --roff-no-numbered -s -tman index.md | \
 		mandoc -Tpdf > $@
 
 index.nroff.pdf: index.md
-	./lowdown --nroff-no-numbered -s -tms index.md | \
+	./lowdown --roff-no-numbered -s -tms index.md | \
 		pdfroff -i -mspdf -t -k > $@
 
 .xml.html:
@@ -316,7 +305,7 @@
 	./lowdown-diff -s diff.old.md diff.md >$@
 
 diff.diff.pdf: diff.md diff.old.md lowdown-diff
-	./lowdown-diff --nroff-no-numbered -s -tms diff.old.md diff.md | \
+	./lowdown-diff --roff-no-numbered -s -tms diff.old.md diff.md | \
 		pdfroff -i -mspdf -t -k > $@
 
 $(HTMLS): versions.xml lowdown
@@ -342,17 +331,30 @@
 lowdown.tar.gz:
 	mkdir -p .dist/lowdown-$(VERSION)/
 	mkdir -p .dist/lowdown-$(VERSION)/man
+	mkdir -p .dist/lowdown-$(VERSION)/share/html
+	mkdir -p .dist/lowdown-$(VERSION)/share/latex
+	mkdir -p .dist/lowdown-$(VERSION)/share/man
+	mkdir -p .dist/lowdown-$(VERSION)/share/ms
 	mkdir -p .dist/lowdown-$(VERSION)/share/odt
 	mkdir -p .dist/lowdown-$(VERSION)/regress/html
+	mkdir -p .dist/lowdown-$(VERSION)/regress/metadata
 	mkdir -p .dist/lowdown-$(VERSION)/regress/original
 	mkdir -p .dist/lowdown-$(VERSION)/regress/standalone
-	mkdir -p .dist/lowdown-$(VERSION)/regress/metadata
+	mkdir -p .dist/lowdown-$(VERSION)/regress/template
 	mkdir -p .dist/lowdown-$(VERSION)/regress/diff
 	$(INSTALL) -m 0644 $(HEADERS) .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 0644 $(SOURCES) .dist/lowdown-$(VERSION)
+	$(INSTALL) -m 0644 share/html/* .dist/lowdown-$(VERSION)/share/html
+	$(INSTALL) -m 0644 share/latex/* .dist/lowdown-$(VERSION)/share/latex
+	$(INSTALL) -m 0644 share/man/* .dist/lowdown-$(VERSION)/share/man
+	$(INSTALL) -m 0644 share/ms/* .dist/lowdown-$(VERSION)/share/ms
 	$(INSTALL) -m 0644 share/odt/* .dist/lowdown-$(VERSION)/share/odt
 	$(INSTALL) -m 0644 lowdown.in.pc Makefile LICENSE.md .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 0644 man/*.1 man/*.3 man/*.5 .dist/lowdown-$(VERSION)/man
 	$(INSTALL) -m 0755 configure .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 644 regress/original/* .dist/lowdown-$(VERSION)/regress/original
 	$(INSTALL) -m 644 regress/*.* .dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/diff/* .dist/lowdown-$(VERSION)/regress/diff
+	$(INSTALL) -m 644 regress/html/* .dist/lowdown-$(VERSION)/regress/html
+	$(INSTALL) -m 644 regress/metadata/* .dist/lowdown-$(VERSION)/regress/metadata
+	$(INSTALL) -m 644 regress/standalone/* .dist/lowdown-$(VERSION)/regress/standalone
