=== debian/changelog ===
lowdown (2.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 03 Mar 2025 11:23:55 +0200

lowdown (2.0.2-1) experimental; urgency=medium

  * New upstream release.
    - SONAME was bumped due to ABI changes, reflect this at the packaging
      level by renaming the library package to liblowdown2.
  * Build-Depend and set MAKE to "bmake", as incompatibilities with GNU Make
    have been introduced in the upstream Makefile that are here to stay (see
    upstream #155).
  * Ship default templates under /usr/share/doc/lowdown/examples. Per upstream
    #156 these are not being used at runtime.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 17 Feb 2025 21:11:55 +0200
