=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ bmake,
  libbsd-dev,
  libmd-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
 Vcs-Browser: https://salsa.debian.org/debian/lowdown
@@ -40,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblowdown1 (= ${binary:Version}), ${misc:Depends}
+Depends: liblowdown2 (= ${binary:Version}), ${misc:Depends}
 Description: Simple markdown translator (development files)
  Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
  man formats, LaTeX, gemini, and terminal output.
@@ -62,7 +63,7 @@
  .
  This package contains development libraries, header files, and manpages.
 
-Package: liblowdown1
+Package: liblowdown2
 Section: libs
 Architecture: any
 Multi-Arch: same
