=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Upstream uses and tests with BSD Make, so prefer it over GNU
+export MAKE = /usr/bin/bmake
 
 # Use libbsd for a system copy of the BSD functions, instead of upstream's
 # embedded compats.c coming from the oconfigure project.
@@ -31,12 +34,12 @@
 
 override_dh_auto_install:
 	# make install only installs the main binary, not the library
-	make install DESTDIR=debian/tmp
-	make install_static DESTDIR=debian/tmp
-	make install_shared DESTDIR=debian/tmp
+	$(MAKE) install DESTDIR=debian/tmp
+	$(MAKE) install_static DESTDIR=debian/tmp
+	$(MAKE) install_shared DESTDIR=debian/tmp
 
 override_dh_auto_test:
-	make regress
+	$(MAKE) regress
 
 override_dh_auto_clean:
 	echo > Makefile.configure
