## lowdown 2.0.4

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,13 @@
 # while libraries have well-defined semantics of semver change, programs
 # do not.  Let the library guide our versioning until a better way is
 # thought out.
-VERSION		 = 2.0.2
+VERSION		 = 2.0.4
+
 # This is the major number of VERSION.  It might later become
 # MAJOR.MINOR, if the library moves a lot.
 LIBVER		 = 2
+
+# The usual variables.
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
@@ -122,6 +125,7 @@
 		   screen-groff.thumb.jpg \
 		   screen-term.thumb.jpg
 CFLAGS		+= -DVERSION=\"$(VERSION)\"
+
 # Hack around broken Mac OS X nested sandboxes.
 # If SANDBOX_INIT_ERROR_IGNORE is set to "always", errors from
 # sandbox_init() are ignored.  If set to anything else, the user must
@@ -135,6 +139,34 @@
 CFLAGS		+= -DSANDBOX_INIT_ERROR_IGNORE=1
 .endif
 .endif
+
+# Names of shared and static libraries.
+LIB_SO		 = liblowdown.$(LINKER_SOSUFFIX)
+LIB_ST		 = liblowdown.a
+
+# On some Linux distributions, the preferred method of distributing
+# binaries is with dynamically-linked libraries.  Use the LINK_METHOD
+# variable set with ./configure to determine whether to use static
+# (default) or dynamic linking.
+# The dynamic version will also need the compats when building the main
+# object.
+LIB_LOWDOWN 	 = $(LIB_ST)
+MAIN_OBJS	 =
+.ifdef LINK_METHOD
+.if $(LINK_METHOD) == "shared"
+LIB_LOWDOWN 	 = $(LIB_SO)
+MAIN_OBJS	 = $(COMPAT_OBJS)
+.endif
+.endif
+
+# Mac OS X and other Unix systems use different conventions for
+# indicating shared library versions.
+.if $(LINKER_SOSUFFIX) == "dylib"
+LIB_SOVER	 = liblowdown.$(LIBVER).$(LINKER_SOSUFFIX)
+.else
+LIB_SOVER	 = liblowdown.$(LINKER_SOSUFFIX).$(LIBVER)
+.endif
+
 # Because the objects will be compiled into a shared library:
 CFLAGS		+= -fPIC
 # To avoid exporting internal functions (lowdown.h has default visibility).
@@ -157,7 +189,7 @@
 
 REGRESS_ENV	 = LC_ALL=en_US.UTF-8
 
-all: bins lowdown.pc liblowdown.so
+all: bins lowdown.pc $(LIB_SO)
 bins: lowdown lowdown-diff
 
 www: all $(HTMLS) $(PDFS) $(THUMBS) lowdown.tar.gz lowdown.tar.gz.sha512
@@ -170,18 +202,20 @@
 	$(INSTALL) -m 0444 lowdown.tar.gz $(WWWDIR)/snapshots
 	$(INSTALL) -m 0444 lowdown.tar.gz.sha512 $(WWWDIR)/snapshots
 
-lowdown: liblowdown.a main.o
-	$(CC) -o $@ main.o liblowdown.a $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
+lowdown: $(LIB_LOWDOWN) $(MAIN_OBJS) main.o
+	$(CC) -o $@ main.o $(MAIN_OBJS) $(LIB_LOWDOWN) $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
 
 lowdown-diff: lowdown
 	ln -f lowdown lowdown-diff
 
-liblowdown.a: $(OBJS) $(COMPAT_OBJS)
+$(LIB_ST): $(OBJS) $(COMPAT_OBJS)
 	$(AR) rs $@ $(OBJS) $(COMPAT_OBJS)
 
-liblowdown.so: $(OBJS) $(COMPAT_OBJS)
-	$(CC) -shared -o $@.$(LIBVER) $(OBJS) $(COMPAT_OBJS) $(LDFLAGS) $(LDADD_MD5) -lm -Wl,${LINKER_SONAME},$@.$(LIBVER) $(LDLIBS)
-	ln -sf $@.$(LIBVER) $@
+$(LIB_SO): $(OBJS) $(COMPAT_OBJS)
+	$(CC) $(LINKER_SOFLAG) -o $(LIB_SOVER) $(OBJS) $(COMPAT_OBJS) \
+		$(LDFLAGS) $(LDADD_MD5) -lm \
+		-Wl,${LINKER_SONAME},$(LIB_SOVER) $(LDLIBS)
+	ln -sf $(LIB_SOVER) $@
 
 uninstall:
 	rm -rf $(SHAREDIR)/lowdown
@@ -236,17 +270,17 @@
 	done
 
 uninstall_shared: uninstall_lib_common
-	rm -f $(LIBDIR)/liblowdown.so.$(LIBVER) $(LIBDIR)/liblowdown.so
-
-install_shared: liblowdown.so install_lib_common
-	$(INSTALL_LIB) liblowdown.so.$(LIBVER) $(DESTDIR)$(LIBDIR)
-	( cd $(DESTDIR)$(LIBDIR) && ln -sf liblowdown.so.$(LIBVER) liblowdown.so )
+	rm -f $(LIBDIR)/$(LIB_SOVER) $(LIBDIR)/$(LIB_SO)
+
+install_shared: $(LIB_SO) install_lib_common
+	$(INSTALL_LIB) $(LIB_SOVER) $(DESTDIR)$(LIBDIR)
+	( cd $(DESTDIR)$(LIBDIR) && ln -sf $(LIB_SOVER) $(LIB_SO) )
 
 uninstall_static: uninstall_lib_common
-	rm -f $(LIBDIR)/liblowdown.a
-
-install_static: liblowdown.a install_lib_common
-	$(INSTALL_LIB) liblowdown.a $(DESTDIR)$(LIBDIR)
+	rm -f $(LIBDIR)/$(LIB_ST)
+
+install_static: $(LIB_ST) install_lib_common
+	$(INSTALL_LIB) $(LIB_ST) $(DESTDIR)$(LIBDIR)
 
 uninstall_libs: uninstall_shared uninstall_static
 
@@ -346,15 +380,3 @@
 	$(INSTALL) -m 0644 $(SOURCES) .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 0644 share/html/* .dist/lowdown-$(VERSION)/share/html
 	$(INSTALL) -m 0644 share/latex/* .dist/lowdown-$(VERSION)/share/latex
-	$(INSTALL) -m 0644 share/man/* .dist/lowdown-$(VERSION)/share/man
-	$(INSTALL) -m 0644 share/ms/* .dist/lowdown-$(VERSION)/share/ms
-	$(INSTALL) -m 0644 share/odt/* .dist/lowdown-$(VERSION)/share/odt
-	$(INSTALL) -m 0644 lowdown.in.pc Makefile LICENSE.md .dist/lowdown-$(VERSION)
-	$(INSTALL) -m 0644 man/*.1 man/*.3 man/*.5 .dist/lowdown-$(VERSION)/man
-	$(INSTALL) -m 0755 configure .dist/lowdown-$(VERSION)
-	$(INSTALL) -m 644 regress/original/* .dist/lowdown-$(VERSION)/regress/original
-	$(INSTALL) -m 644 regress/*.* .dist/lowdown-$(VERSION)/regress
-	$(INSTALL) -m 644 regress/diff/* .dist/lowdown-$(VERSION)/regress/diff
-	$(INSTALL) -m 644 regress/html/* .dist/lowdown-$(VERSION)/regress/html
-	$(INSTALL) -m 644 regress/metadata/* .dist/lowdown-$(VERSION)/regress/metadata
-	$(INSTALL) -m 644 regress/standalone/* .dist/lowdown-$(VERSION)/regress/standalone
