=== debian/changelog ===
lowdown (2.0.4-2) unstable; urgency=medium

  * Add liblowdown-dev -> libbsd-dev, libmd-dev dependencies, as these are
    a) required for static linking and b) required in all cases by pkgconf's
    stricter parser. (Closes: #1126924)
  * Remove Rules-Requires-Root: no (now the default).

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 13 Feb 2026 10:34:28 +0100

lowdown (2.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/copyright with authors for new compats.c code.
    - Workaround a new oconfigure distclean limitation..
  * Fix a long-standing regression testing issue, where the test suite was
    using en_US.UTF-8 for its locale, which is not part of a minimal Debian
    chroot. Patch the Makefile to use C.UTF-8 instead.
  * Update debian/watch to version 5.
  * Remove Priority: optional; this is now the default.
  * Bump Standards-Version to 4.7.3.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 02 Jan 2026 16:51:06 +0200
