=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: lowdown
-Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -7,12 +6,11 @@
  libbsd-dev,
  libmd-dev,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
 Vcs-Browser: https://salsa.debian.org/debian/lowdown
 Vcs-Git: https://salsa.debian.org/debian/lowdown.git
-Rules-Requires-Root: no
 
 Package: lowdown
 Architecture: any
@@ -41,7 +39,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblowdown2 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ liblowdown2 (= ${binary:Version}),
+ ${misc:Depends},
+ libbsd-dev,
+ libmd-dev,
 Description: Simple markdown translator (development files)
  Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
  man formats, LaTeX, gemini, and terminal output.
