=== debian/rules ===
--- 
+++ 
@@ -43,4 +43,7 @@
 
 override_dh_auto_clean:
 	echo > Makefile.configure
+	# an .if makes "make distclean" fail here, even though
+	# LINKER_SOSUFFIX isn't actually used by it
+	echo "LINKER_SOSUFFIX = so" >> Makefile.configure
 	dh_auto_clean
