=== debian/watch ===
Version: 5
Source: https://kristaps.bsd.lv/lowdown/snapshots/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
